Subject: linking dlls with gnu-win32 binaries
From: [email-masked] (Josef Burger)

5 Nov 1996 15:08:40 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
X-Authentication-Warning: orca.cs.wisc.edu: Host localhost didn't use HELO protocol
Original-To: [email-masked]
Original-Sender: [email-masked]

I have a dll that I would like to link with a gnu-win32 executable.
To be precise, it is the tcl76.dll from sun's pre-compiled tcl7.6 for
windows-nt package.  My understanding of how this integrates with
gnu-win32 is that a "stub" .a library must be generated that the code
links with.  The stub takes care of forwarding calls to the dll at
runtime.

But ... How do I create the stub library for the tcl dll?  dlltool
seems to be the tool of choice, but it requires an "exports" file,
which I don't have!   Presumably the dll contains the
information to generate the stub, but how do I extract it in a 
form that dlltool can use?

Or... am I on the wrong track?

Thanks for any help!
bolo
| Joe Burger   U of WI-Madison Computer Sciences| "Blessed are the Peacemakers"
| "bolo"       [email-masked]   uwvax!bolo    | -- Jesus Christ, endorsing
|              http://www.cs.wisc.edu/~bolo/    | Samuel Colt's Revolvers

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".